package entity

import (
	"time"

	)

type Subscription struct {
	ID        uint       `json:"id" gorm:"primaryKey;type:int4;autoIncrement"`
	Email     string     `json:"email" gorm:"type:varchar"`
	IsActive  bool       `json:"is_active" gorm:"type:bool;default:true"`
	CreatedAt time.Time  `json:"created_at" gorm:"default:now()"`
	UpdatedAt time.Time  `json:"updated_at" gorm:"default:now()"`
}
